 /**
 * @typedef {('block'|'inline'|'flex'|'grid')} ActiveDisplay
 * @description The display CSS property sets whether an element is treated as a block or inline element and the layout used for its children, such as flow layout, grid or flex. [CSS Display]{@link https://developer.mozilla.org/en-US/docs/Web/CSS/display}
 * * **block** The element generates a block element box, generating line breaks both before and after the element when in the normal flow.
 * * **inline** The element generates one or more inline element boxes that do not generate line breaks before or after themselves. In normal flow, the next element will be on the same line if there is space
 * * **flex** The element behaves like a block element and lays out its content according to the flexbox model.
 * * **grid** The element behaves like a block element and lays out its content according to the grid model.
 
 */

 /**
 * @typedef {Object} HTMLElement {@link https://developer.mozilla.org/en-US/docs/Web/API/HTMLElement}
 */